Bug 66626 - Cups must start before samba for linux-win print server
Summary: Cups must start before samba for linux-win print server
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cups   
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL: http://www.bubere.org/linux/cups-samb...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-12 18:40 UTC by jason buberel
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-07 11:43:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jason buberel 2002-06-12 18:40:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
In order for a system configured to act as a windows print server using CUPS and
Samba, the CUPS daemon must start before the Samba daemon. In the default RH7.3
install, the order is revered (S91smb, S92cups).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure your linux machine to act as a print server. See URL above.
2. Reboot linux server.
3. Try printing from windows. You will get an error about not being able to
start the print job.
	

Additional info:

If you modify the start level of cups to 91 and smb to 92, everything works just
fine.

Comment 1 Tim Waugh 2002-10-17 10:20:09 UTC
I think this is already fixed in Red Hat Linux 8.0: SMB has priority 91 while
CUPS has priority 90.


Note You need to log in before you can comment on or make changes to this bug.